local fn = _gn(0x22AC59A870E6A669)
--- Seat indices range from -1 to [`GET_VEHICLE_MAX_NUMBER_OF_PASSENGERS`](#\_0xA7C4F2C6E744A550) minus one.
-- ```cpp
-- // CTaskExitVehicleSeat::eSeatPosition - 1
-- enum eSeatPosition
-- {
-- SF_FrontDriverSide = -1,
-- SF_FrontPassengerSide = 0,
-- SF_BackDriverSide = 1,
-- SF_BackPassengerSide = 2,
-- SF_AltFrontDriverSide = 3,
-- SF_AltFrontPassengerSide = 4,
-- SF_AltBackDriverSide = 5,
-- SF_AltBackPassengerSide = 6,
-- };
-- ```
-- ```
-- NativeDB Added Parameter 3: BOOL isTaskRunning
-- isTaskRunning = on true the function returns already false while a task on the target seat is running (TASK_ENTER_VEHICLE/TASK_SHUFFLE_TO_NEXT_VEHICLE_SEAT) - on false only when a ped is finally sitting in the seat.
-- ```
-- @param vehicle The vehicle to check.
-- @param seatIndex The eSeatPosition or -2 for **any** vehicle seat.
function Global.IsVehicleSeatFree(vehicle, seatIndex)
	return _in2(fn, vehicle, seatIndex, _r)
end
